modules

# Class: samba3domain

Source Location: /lib/account.inc

### Class Overview

Represents a Samba 3 domain entry

### Variables

- $dn
- $maxPwdAge
- $minPwdAge
- $name
- $nextGroupRID
- $nextRID
- $nextUserRID
- $RIDbase
- $SID

### Class Details

[line 335]
Represents a Samba 3 domain entry
[ Top ]

### Class Variables

#### $dn =

[line 338]

DN

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $maxPwdAge =

[line 362]

seconds after the password must be changed

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $minPwdAge =

[line 359]

seconds after the password can be changed

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $name =

[line 341]

Domain name

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextGroupRID =

[line 353]

Next group RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextRID =

[line 347]

Next RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextUserRID =

[line 350]

Next user RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $RIDbase = 1000

[line 356]

RID base to calculate RIDs, default 1000

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $SID =

[line 344]

Domain SID

#### Tags:

access: | public

Type: | mixed

[ Top ]

Documentation generated on Wed, 24 Mar 2010 19:22:13 +0100 by phpDocumentor 1.4.1